package com.ruoyi.system.service;

import com.ruoyi.system.domain.PoCollection;

import java.util.List;

/**
 * 消息接口
 */
public interface IPoCollectionService {
    /**
     * 批量查询藏品
     *
     * @param collectionList
     * @return
     */
    public List<PoCollection> selectPoCollectionsByCollections(List<PoCollection> collectionList);


    /**
     * 获取藏品详细内容
     *
     * @param collectionId 藏品ID
     * @return 藏品信息
     */
    PoCollection selectCollectionById(Long collectionId);

    /**
     * 查询藏品列表
     *
     * @param poCollection
     * @return
     */
    public List<PoCollection> selectPoCollectionList(PoCollection poCollection);

    /**
     * 增加
     *
     * @param collection 藏品信息
     * @return 操作状态
     */
    public int insertCollection(PoCollection collection);

    /**
     * 批量增加
     *
     * @param collection 藏品信息
     * @return 操作状态
     */
    public int batchInsertCollection(List<PoCollection> collection);

    /**
     * 修改
     *
     * @param collection 更新的藏品信息
     * @return 操作状态
     */
    public int updateCollection(PoCollection collection);

    /**
     * 批量删除藏品
     *
     * @param collectionIds
     * @return
     */
    public int deletePoCollectionByCollectionIds(Long[] collectionIds);

    /**
     * 删除藏品
     *
     * @param collectionId
     * @return 结果
     */
    public int deletePoCollectionByCollectionId(Long collectionId);
}

