package com.ruoyi.system.service;

import java.util.Date;
import java.util.List;

import com.ruoyi.system.domain.PoCollection;
import com.ruoyi.system.domain.PoTether;
import com.ruoyi.system.domain.PoTetherandcollection;
import com.ruoyi.system.domain.vo.TetherVo;

/**
 * 套系Service接口
 *
 * @author ruoyi
 * @date 2023-02-12
 */
public interface IPoTetherService
{

    /**
     * 查询套系列表
     *
     * @param poTether 套系 在售
     * @return 套系集合
     */
    public List<PoTether> selectPoTetherSellingList(PoTether poTether);


    /**
     * 按照标题和时间查询
     * @param tetherName
     * @param tetherTimeStart
     * @param tetherTimeEnd
     * @return
     */
    List<PoTether> selectListByTitleAndTime(String tetherName, Date tetherTimeStart, Date tetherTimeEnd);

    /**
     * 预售
     * @param poTether
     * @return
     */
    List<PoTether> selectPoTetherAdvanceList(PoTether poTether);

    /**
     * 已过期
     * @param poTether
     * @return
     */
    List<PoTether> selectPoTetherSelledList(PoTether poTether);

    /**
     * 在售
     * @param poTether
     * @return
     */
    List<PoTether> selectPoTetherList(PoTether poTether);

    /**
     * 藏品按钮
     * @param
     * @return
     */
    List<PoTetherandcollection> selectPoCollectionListById(Long tetherId);

    /**
     * 新增套系
     * @param tetherVo
     * @return
     */
    boolean insertPoTetherWithCollection(TetherVo tetherVo);

    /**
     * 通过id查询套系信息和对应的藏品信息
     * @param tetherId
     * @return
     */
    TetherVo selectPoTetherByTetherIdWithCollection(Long tetherId);

    /**
     * 修改套系
     * @param tetherVo
     * @return
     */

    boolean updatePoTetherWithCollection(TetherVo tetherVo);



    /**
     * 同时删除套系和藏品的关联关系
     * @param tetherIds
     * @return
     */
    boolean deletePoTetherByTetherIdsWithCollection(Long[] tetherIds);

    /**
     * 校验套系名称是否存在
     * @param tetherVo
     * @return
     */
    String checkPostTetherNameUnique(TetherVo tetherVo);

    /**
     * 检验图片是否重复
     * @param tetherVo
     * @return
     */
    String checkPostTetherImageUnique(TetherVo tetherVo);

    /**
     * 批量查询套系信息
     * @param tetherIds
     * @return
     */
    TetherVo selectPoTetherByTetherIdsWithCollection(Long[] tetherIds);

    /**
     * 修改状态 是否上链
     * @param cochain
     * @param tetherId
     * @return
     */
    boolean updatePoTetherIsCochain(Integer cochain, Long tetherId);

    /**
     * 修改状态 是否上架
     * @param grounding
     * @param tetherId
     * @return
     */
    boolean updatePoTetherIsGrounding(Integer grounding, Long tetherId);

    /**
     * 藏品种类个数
     * @param poTether
     * @return
     */
    List<PoTether> selectPoTetherCollectionList(PoTether poTether);

}

